Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53166 - [nvidia-340xx-lts] Xorg-server does not start after package update

Attached to Project: Arch Linux
Opened by Kerr (zefkerrigan) - Sunday, 05 March 2017, 15:08 GMT
Last edited by Laurent Carlier (lordheavy) - Monday, 06 March 2017, 19:18 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description:
[nvidia-340xx-lts 340.102-3] Nvidia GTS 240.
Xorg-server does not start after package update to this version.
Error message: "'nvidia' module already registered".
I just did pacman -Syu and after reboot Xorg-server does not start anymore.
But when I replaced nvidia-340xx-lts on nvidia-340xx and ordinary Linux kernel (package "linux") xorg server has started properly after a reboot.


This task depends upon

Closed by  Laurent Carlier (lordheavy)
Monday, 06 March 2017, 19:18 GMT
Reason for closing:  Fixed
Additional comments about closing:  nvidia-340xx-lts-340.102-4
Comment by loqs (loqs) - Sunday, 05 March 2017, 17:55 GMT
nvidia-340xx-lts is missing https://git.archlinux.org/svntogit/packages.git/tree/trunk/fs52243.patch?h=packages/nvidia-340xx
edit related:
nvidia-304xx-lts is missing https://git.archlinux.org/svntogit/packages.git/tree/trunk/drm-driver-legacy.patch?h=packages/nvidia-304xx
edit2:
While looking at the PKGBUILD
depends=('linux-lts>=4.4.40' "nvidia-340xx-utils=$pkgver" 'libgl')
should the linux-lts dependency not be changed to linux-lts>=4.9.13 ?
Comment by Kerr (zefkerrigan) - Sunday, 05 March 2017, 18:01 GMT

Loading...